Skip to main content
POST
/
10dlc
/
brand
/
{brandId}
/
2faEmail
JavaScript
import Telnyx from 'telnyx';

const client = new Telnyx({
  apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});

await client.messaging10dlc.brand.resend2faEmail('brandId');
import os
from telnyx import Telnyx

client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
client.messaging_10dlc.brand.resend_2fa_email(
"brandId",
)
package main

import (
"context"

"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)

func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
err := client.Messaging10dlc.Brand.Resend2faEmail(context.TODO(), "brandId")
if err != nil {
panic(err.Error())
}
}
package com.telnyx.sdk.example;

import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.messaging10dlc.brand.BrandResend2faEmailParams;

public final class Main {
private Main() {}

public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();

client.messaging10dlc().brand().resend2faEmail("brandId");
}
}
require "telnyx"

telnyx = Telnyx::Client.new(api_key: "My API Key")

result = telnyx.messaging_10dlc.brand.resend_2fa_email("brandId")

puts(result)
<?php

require_once dirname(__DIR__) . '/vendor/autoload.php';

use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;

$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');

try {
$result = $client->messaging10dlc->brand->resend2faEmail('brandId');

var_dump($result);
} catch (APIException $e) {
echo $e->getMessage();
}
telnyx messaging-10dlc:brand resend-2fa-email \
--api-key 'My API Key' \
--brand-id brandId
curl --request POST \
--url https://api.telnyx.com/v2/10dlc/brand/{brandId}/2faEmail \
--header 'Authorization: Bearer <token>'
{
  "errors": [
    {
      "code": "<string>",
      "title": "<string>",
      "detail": "<string>",
      "source": {
        "pointer": "<string>",
        "parameter": "<string>"
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

brandId
string
required

Unique identifier of the brand.

Response

Successful Response